%global gem_name facets

Name:           rubygem-%{gem_name}
Summary:        The single most extensive additions and extensions library available for Ruby
Version:        2.9.2
Release:        3%{?dist}
Group:          Development/Languages
License:        Ruby
URL:            http://rubyforge.org/projects/facets/
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(rubygems)
BuildRequires: rubygems-devel
BuildRequires:  rubygem(rake)
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
The single most extensive additions and extensions library available for Ruby

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}/%{gem_dir} \
            --force %{SOURCE0}

# Remove backup files
find %{buildroot}/%{gem_instdir} -type f -name "*~" -delete

# Delete zero-length files
find %{buildroot}/%{gem_instdir} -type f -size 0c -exec rm -rvf {} \;

# Fix anything executable that does not have a shebang
for file in `find %{buildroot}/%{gem_instdir} -type f -perm /a+x`; do
    [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 644 $file
done

# Find files with a shebang that do not have executable permissions
for file in `find %{buildroot}/%{gem_instdir} -type f ! -perm /a+x`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 755 $file
done

# Find files that have non-standard-executable-perm
find %{buildroot}/%{gem_instdir} -type f -perm /g+wx -exec chmod -v g-w {} \;

# Find files that are not readable
find %{buildroot}/%{gem_instdir} -type f ! -perm /go+r -exec chmod -v go+r {} \;

# Remove hidden files
rm -rf %{buildroot}/%{gem_instdir}/.require_paths

%check
pushd %{buildroot}/%{gem_instdir}
# TODO run tests when dependencies get in Fedora
#rake test
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.locat
%exclude %{gem_instdir}/.reap
%exclude %{gem_instdir}/.ruby
%exclude %{gem_instdir}/.test
%exclude %{gem_instdir}/.yard
%exclude %{gem_instdir}/%{gem_name}.gemspec
%dir %{gem_instdir}/
%doc %{gem_docdir}
%doc %{gem_instdir}/Assembly
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/AUTHORS.rdoc
%doc %{gem_instdir}/HISTORY.rdoc
%doc %{gem_instdir}/MANIFEST
%doc %{gem_instdir}/NOTICE.rdoc
%doc %{gem_instdir}/GPL3.txt
%doc %{gem_instdir}/Profile
%doc %{gem_instdir}/rdoc.assembly
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/RUBY.txt
%doc %{gem_instdir}/VERSION
%{gem_libdir}/
%{gem_instdir}/test/
%{gem_instdir}/src
%{gem_instdir}/work
%{gem_instdir}/site
%{gem_instdir}/qed
%{gem_cache}
%{gem_spec}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 22 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 2.8.0-2
- New upstream version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 16 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 2.5.1-1
- New upstream version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 02 2008 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 2.5.0-1
- New upstream version

* Sun Oct 25 2008 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 2.4.5-2
- Fix %%doc files

* Sat Oct 25 2008 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 2.4.5-1
- Initial package
